## EShellTaskbar EShellTaskbar — the bottom of the main window |

## Functions

GtkWidget * | e_shell_taskbar_new ()
struct _EShellView * | e_shell_taskbar_get_shell_view ()
const gchar * | e_shell_taskbar_get_message ()
void | e_shell_taskbar_set_message ()
void | e_shell_taskbar_unset_message ()
guint | e_shell_taskbar_get_activity_count ()

## Properties

gchar * | message | Read / Write / Construct
EShellView * | shell-view | Read / Write / Construct Only

## Types and Values

struct | EShellTaskbar

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── EShellTaskbar

## Implemented Interfaces

EShellTaskbar implements AtkImplementorIface, GtkBuildable, GtkOrientable and EExtensible.

## Includes

    #include <shell/e-shell-taskbar.h>

## Description

## Functions

### e_shell_taskbar_new ()

    GtkWidget *
    e_shell_taskbar_new (struct _EShellView *shell_view);

Creates a new EShellTaskbar instance belonging to `shell_view` .

#### Parameters

shell_view | an EShellView |

#### Returns

a new EShellTaskbar instance

### e_shell_taskbar_get_shell_view ()

    struct _EShellView *
    e_shell_taskbar_get_shell_view (EShellTaskbar *shell_taskbar);

Returns the EShellView that was passed to `e_shell_taskbar_new()`.

#### Parameters

shell_taskbar | an EShellTaskbar |

#### Returns

the EShellView to which `shell_taskbar` belongs

### e_shell_taskbar_get_message ()

    const gchar *
    e_shell_taskbar_get_message (EShellTaskbar *shell_taskbar);

Returns the message currently shown in the taskbar, or an empty string if no message is shown. Taskbar messages are used primarily for menu tooltips.

#### Parameters

shell_taskbar | an EShellTaskbar |

#### Returns

the current taskbar message

### e_shell_taskbar_set_message ()

    void
    e_shell_taskbar_set_message (EShellTaskbar *shell_taskbar,
                                 const gchar *message);

Shows a message in the taskbar. If `message` is `NULL` or an empty string, the taskbar message is cleared. Taskbar messages are used primarily for menu tooltips.

#### Parameters

shell_taskbar | an EShellTaskbar |
message | the message to show |

### e_shell_taskbar_unset_message ()

    void
    e_shell_taskbar_unset_message (EShellTaskbar *shell_taskbar);

This is equivalent to passing a `NULL` message to `e_shell_taskbar_set_message()`.

#### Parameters

shell_taskbar | an EShellTaskbar |

### e_shell_taskbar_get_activity_count ()

    guint
    e_shell_taskbar_get_activity_count (EShellTaskbar *shell_taskbar);

Returns the number of active EActivity instances being tracked.

#### Parameters

shell_taskbar | an EShellTaskbar |

#### Returns

the number of EActivity instances

## Types and Values

### struct EShellTaskbar

    struct EShellTaskbar;

Contains only private data that should be read and manipulated using the functions below.

## Property Details

### The `“message”` property

      “message”                  gchar *

The message to display in the taskbar.

Owner: EShellTaskbar

Flags: Read / Write / Construct

Default value: NULL

### The `“shell-view”` property

      “shell-view”               EShellView *

The EShellView to which the taskbar widget belongs.

Owner: EShellTaskbar

Flags: Read / Write / Construct Only